Skip to main content
PUT
/
projects
/
{project_reference}
/
tools
/
{tool_id}
Update Tool
curl --request PUT \
  --url https://api.veryfront.com/projects/{project_reference}/tools/{tool_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "source_path": "<string>",
  "source": "<string>",
  "edit_mode": "structured",
  "source_only_reasons": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_reference
string
required
tool_id
string
required

Tool identifier

Query Parameters

source_target_kind
string
target_branch_id
string<uuid> | null

Body

application/json
description
string | null

Response

Updated tool document

id
string
required
name
string
required
description
string | null
required
source_path
string
required
source
string
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
source_only_reasons
string[]
required